ProjectControllerGetAllProjectItems Method |
POST /Project/GetAllProjectItems
Gets all items in all projects of the current user.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetAllProjectItems")]
public IActionResult GetAllProjectItems(
[FromBodyAttribute] GetProjectItemsOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetAllProjectItems")>
Public Function GetAllProjectItems (
<FromBodyAttribute> options As GetProjectItemsOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetAllProjectItems")]
IActionResult^ GetAllProjectItems(
[FromBodyAttribute] GetProjectItemsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetAllProjectItems")>]
member GetAllProjectItems :
[<FromBodyAttribute>] options : GetProjectItemsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetProjectItemsOptions
The options for getting the project items. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResultAn array of
FileData, or a status code indicating the reason for failure.
See Also